<div>
  <div class="col-sm-5 c-canvas" [style.width]="width" align="center">
    <div #container style="margin-right: 10px;" [style.height]="height">
      <canvas #srccanvas id="c2" class="panel-body c-asci-view" oncontextmenu="return false;">Asci view</canvas>
      <div *ngIf="showInput" [formGroup]="inputBox">
        <input formControlName="input" [appFocus]="FocusEmitter" [ngStyle]="inputStyle" (keyup)="checkInput($event)" class="c-input-src" color-input>
      </div>
      <form #form *ngIf="showInput && colorFormat" (blur)="lostFocus()" [formGroup]="inputBoxs" style="border-width: 1px;" [ngStyle]="inputStyle" (keyup)="checkInputs()" class="panel panel-default c-input-src color-input">
          <div style="width: 30%; display: inline-block;">
            <input formControlName="r" [appFocus]="FocusEmitter" style="width: 30px; margin: auto;" color-input>
          </div>
          <div style="width: 30%; display: inline-block;">
            <input formControlName="g" style="width: 30px; margin: auto;" color-input>
          </div>
          <div style="width: 30%; display: inline-block;">
            <input formControlName="b" style="width: 30px; margin: auto;" color-input>
          </div>
      </form>
    </div>
      <app-resize (resizeEvent)="resize($event)"></app-resize>
  </div>
</div>
